AsterNet Class Library (Sandcastle documentation)

| AGIScript SayAlpha Method (String, String)

Says the given character string, returning early if any of the given DTMF number are received on the channel.

Namespace: AsterNET.FastAGI
Assembly: AsterNET (in AsterNET.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy

    protected char SayAlpha(
    	string text,
    	string escapeDigits
    )

    Protected Function SayAlpha (
    	text As String,
    	escapeDigits As String
    ) As Char

    protected:
    wchar_t SayAlpha(
    	String^ text,
    	String^ escapeDigits
    )

    member SayAlpha :
            text : string *
            escapeDigits : string -> char

#### Parameters

text
  Type: System
  String
  the text to say.
escapeDigits
  Type: System
  String
  a String containing the DTMF digits that allow the user to escape.

#### Return Value

Type: Char
the DTMF digit pressed or 0x0 if none was pressed.
See Also

#### Reference

AGIScript Class
SayAlpha Overload
AsterNET.FastAGI Namespace